package cc.fascinated.bat.birthday.command;

import cc.fascinated.bat.common.command.BatCommand;
import cc.fascinated.bat.common.command.Category;
import cc.fascinated.bat.common.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(name = "birthday", description = "Modify your birthday settings.", category = Category.UTILITY)
public class BirthdayCommand extends BatCommand {
    @Autowired
    public BirthdayCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(SetSubCommand.class),
                context.getBean(RemoveSubCommand.class),
                context.getBean(ChannelSubCommand.class),
                context.getBean(MessageSubCommand.class),
                context.getBean(ViewSubCommand.class),
                context.getBean(PrivateSubCommand.class)
        );
    }
}
